

// global variable for storing the current language
var language;

// global variable for storing the current language ID
var langID;

// global variable for storing NLS array
var arrayID;

// variables to store language IDs
// if the script finds this string in the URL, it chooses the language associated.
var eng = "?eng";
var por = "?por";
var pol = "?pol";
var ita = "?ita";
var esp = "?esp";
var fra = "?fra";
var ger = "?ger";
var chi = "?chi";
var tch = "?tch";
var jap = "?jap";
var kor = "?kor";
var czn = "?czn";
var tur = "?tur";
var cat = "?cat";
var hun = "?hun";
var rus = "?rus";
var slk = "?slk";
var slv = "?slv";

//the following arrays contain the names of the guides
var arrayGuideName = new Array("SDK and Runtime Environment Guide", "Java Security Guide", "Readmefirst", 
									"RMI-IIOP Guide", "Information for Japanese Users", "License", "Copyright", "Notices");

//the following function chooses the language in which to display the guides, based on the choice the user made in the
//startHere.htm page - the language is selected depending on the URL of the container page (index.en.html?language)
function chooseLanguage() {
    
    loc = parent.location.href; // get URL of the container page, index.en.html
    
    var langPath = new Array;

    //the following if..else block check which language the guides should be displayed in, and sets the variables
    // language, langId, and arrayID to the appropriate values
    if(loc.indexOf(eng) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="en";
        langPath[1]="en";
    }
    else if(loc.indexOf(por) != -1){
        arrayID = arrayGuideName;
        langPath[0]="pt";
        langPath[1]="pt";
    }
    else if(loc.indexOf(ita) != -1){
        arrayID = arrayGuideName;
        langPath[0]="it";
        langPath[1]="it";
    }
    else if(loc.indexOf(esp) != -1){
        arrayID = arrayGuideName;
        langPath[0]="es";
        langPath[1]="es";
    }
    else if(loc.indexOf(fra) != -1){
        arrayID = arrayGuideName;
        langPath[0]="fr";
        langPath[1]="fr";
    }
    else if(loc.indexOf(ger) != -1){
        arrayID = arrayGuideName;
        langPath[0]="de";
        langPath[1]="de";
    }
    else if(loc.indexOf(chi) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="zh_Hans";
        langPath[1]="zh_Hans";
    }
    else if(loc.indexOf(tch) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="zh_Hant";
        langPath[1]="zh_Hant";
    }
    else if(loc.indexOf(jap) != -1) {
        arrayID = arrayGuideName;
        langPath[0]="ja";
        langPath[1]="ja";
    }
    else if(loc.indexOf(kor) != -1){
        arrayID = arrayGuideName;
        langPath[0]="ko";
        langPath[1]="ko";
    }
    else if(loc.indexOf(czn) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; // normal guides not translated
        langPath[1]="cs";
    }
    else if(loc.indexOf(tur) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="tr";
    }
    else if(loc.indexOf(pol) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="pl";
    }
    else if(loc.indexOf(cat) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="ca";
    }
    else if(loc.indexOf(hun) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="hu";
    }
    else if(loc.indexOf(rus) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="ru";
    }
    else if(loc.indexOf(slk) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="sk";
    }
    else if(loc.indexOf(slv) != -1){
        arrayID = arrayGuideName;
        langPath[0]="en"; //normal guides not translated
        langPath[1]="sl";
    }
    
return langPath;

}
    
function createAssocArray(guidesArray) {
    chooseLanguage();
    var twoDimArray = new Array;
    for(i=0; i<guidesArray.length; i++) {
        
        if(guidesArray[i].indexOf("sdkandruntime") != -1) {
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[0];
        }                  
        else if (guidesArray[i].indexOf("securityguide") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[1];
        }
        else if (guidesArray[i].indexOf("readmefirst") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[2];
        }
        else if (guidesArray[i].indexOf("rmi") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[3];
        }
        else if (guidesArray[i].indexOf("japanese") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[4];
        }   
        else if (guidesArray[i].indexOf("license") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[5];
        }   
        else if (guidesArray[i].indexOf("COPYRIGHT") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[6];
        }   
        else if (guidesArray[i].indexOf("otices") != -1){
            twoDimArray[i] = new Array(2);
            twoDimArray[i][0] = guidesArray[i];
            twoDimArray[i][1] = arrayID[7];
        }   
    }
    //alert("The chosen language is: " + language + "\nLanguage ID: " + langId + "\narrayId: " + arrayID);
    return twoDimArray;
}

//the following function writes the TOC in the toc.htm file
//first it calls the function createAssocArray() on an array that has a list of the
//file paths to the various user guides. this results in a 2-dimensional array that has the
//path of the user guide and the name to display in the browser. 
//after writing the opening <UL> tag, this function iterates through the 2-dimensional array to
//create the links to the various user guides
function writeToc(arrayGuidePaths) {
    var twoDim = createAssocArray(arrayGuidePaths); // create 2-dimensional array from array containing user guide paths
    document.write("<UL>"); // write opening <UL> tag
    
    //iterate through 2-dim array and write links in toc.htm file  
    for (i=0; i<twoDim.length; i++){
        document.write("<LI><A href='" + twoDim[i][0] + "' target='Content'>" + twoDim[i][1] + "</A></LI>");
    }
    
    document.write("</UL>"); // write closing </UL> tag

}
        


// SIG // Begin signature block
// SIG // MIIXdAYJKoZIhvcNAQcCoIIXZTCCF2ECAQExCzAJBgUr
// SIG // DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
// SIG // gjcCAR4wJAIBAQQQEODJBs441BGiowAQS9NQkAIBAAIB
// SIG // AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFCPXffISkKcE
// SIG // aHE6M6OfSrCezNkboIIS+jCCA58wggKHoAMCAQICEHmi
// SIG // pYX50RVCE9m4Pva2je0wDQYJKoZIhvcNAQEFBQAwUzEL
// SIG // MAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZlcmlTaWduLCBJ
// SIG // bmMuMSswKQYDVQQDEyJWZXJpU2lnbiBUaW1lIFN0YW1w
// SIG // aW5nIFNlcnZpY2VzIENBMB4XDTEyMDUwMTAwMDAwMFoX
// SIG // DTEyMTIzMTIzNTk1OVowYjELMAkGA1UEBhMCVVMxHTAb
// SIG // BgNVBAoTFFN5bWFudGVjIENvcnBvcmF0aW9uMTQwMgYD
// SIG // VQQDEytTeW1hbnRlYyBUaW1lIFN0YW1waW5nIFNlcnZp
// SIG // Y2VzIFNpZ25lciAtIEczMIGfMA0GCSqGSIb3DQEBAQUA
// SIG // A4GNADCBiQKBgQCpWWZ02j2KfXrY/PWARHv+R2oUVU5Q
// SIG // Rwvs0+3O9jj3T2m5sfC2eIIKjHYWZ+ICrbcNpYr2A/xm
// SIG // 0/wILcy1c1l7idwzbmZaXlI3tGLRklk1FItFrFmyTSSi
// SIG // mJRoQnKfOmjia4ueIi30mE6axq+z5KCrPCi/I+HXcqTy
// SIG // EFNnrnevUQIDAQABo4HjMIHgMAwGA1UdEwEB/wQCMAAw
// SIG // MwYDVR0fBCwwKjAooCagJIYiaHR0cDovL2NybC52ZXJp
// SIG // c2lnbi5jb20vdHNzLWNhLmNybDAWBgNVHSUBAf8EDDAK
// SIG // BggrBgEFBQcDCDA0BggrBgEFBQcBAQQoMCYwJAYIKwYB
// SIG // BQUHMAGGGGh0dHA6Ly9vY3NwLnZlcmlzaWduLmNvbTAO
// SIG // BgNVHQ8BAf8EBAMCB4AwHgYDVR0RBBcwFaQTMBExDzAN
// SIG // BgNVBAMTBlRTQTEtMzAdBgNVHQ4EFgQUtLfxiUkmYOdl
// SIG // 6nOu3NM4zb9Xkm8wDQYJKoZIhvcNAQEFBQADggEBAB6Y
// SIG // qie3eLUItclybbffwA6YpjXEiMnS9m3xSxr71fktmQCe
// SIG // 0eebi+E/vTmADGbNB7xcmFSmlLoQ0U6Lq/VvZcxnCaKA
// SIG // fFLoDgPWa3rGBRjsyKxCfAcspz0IZtwA7f2UHXPycpiT
// SIG // sRHWj++O6qz0llEM0I3fMVJPXq99p0p15k7OK58pK+fP
// SIG // XZ8Dfm4neyOtYilmr5LoLM69nH/czRc8Q8IJP3VFx57k
// SIG // 12B/l8bkqsdp9fzNdKwssEjBUE5wVh61NdOOvrHtrL3+
// SIG // DOyFfdW7hWZEGV2fk+uCumOe03xh/8gb2SNYfzCjZqE5
// SIG // Jl6SwzzLNzL69aON3NWwo+klNlXXgfowggPEMIIDLaAD
// SIG // AgECAhBHvxmV341SRkP3221IDTGkMA0GCSqGSIb3DQEB
// SIG // BQUAMIGLMQswCQYDVQQGEwJaQTEVMBMGA1UECBMMV2Vz
// SIG // dGVybiBDYXBlMRQwEgYDVQQHEwtEdXJiYW52aWxsZTEP
// SIG // MA0GA1UEChMGVGhhd3RlMR0wGwYDVQQLExRUaGF3dGUg
// SIG // Q2VydGlmaWNhdGlvbjEfMB0GA1UEAxMWVGhhd3RlIFRp
// SIG // bWVzdGFtcGluZyBDQTAeFw0wMzEyMDQwMDAwMDBaFw0x
// SIG // MzEyMDMyMzU5NTlaMFMxCzAJBgNVBAYTAlVTMRcwFQYD
// SIG // VQQKEw5WZXJpU2lnbiwgSW5jLjErMCkGA1UEAxMiVmVy
// SIG // aVNpZ24gVGltZSBTdGFtcGluZyBTZXJ2aWNlcyBDQTCC
// SIG // ASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAKnK
// SIG // sqTMzSCvCn2JrId18LRO8d/BD79nYb2jZBzau/nKM6uE
// SIG // MIlYfozba902ng+/0ex48nemfm88v5OvDbpo9GyUyr1S
// SIG // LatIPfW21V1fGwKf+i9rHqT3o5qmGsgC4X9MUuMOYOxA
// SIG // HH65Dd4/x7Tfh71femoxLgOZgROoRyDOMXMNVy3NeDQz
// SIG // lRKZErneaC+q5uPCiowqw4shh2a9g1hXb3W/PKomh13K
// SIG // EBU8n4TqVMEKbsT+xUrduQcRlyJ82z4n0R547J8xyfHm
// SIG // IhnbxLNHQ5oaX6AekORe9e588X2rYgGP9U0L3tAiVqiV
// SIG // za6Idq7uug3z5E3ZoPtooK4UO7OHwbsCAwEAAaOB2zCB
// SIG // 2DA0BggrBgEFBQcBAQQoMCYwJAYIKwYBBQUHMAGGGGh0
// SIG // dHA6Ly9vY3NwLnZlcmlzaWduLmNvbTASBgNVHRMBAf8E
// SIG // CDAGAQH/AgEAMEEGA1UdHwQ6MDgwNqA0oDKGMGh0dHA6
// SIG // Ly9jcmwudmVyaXNpZ24uY29tL1RoYXd0ZVRpbWVzdGFt
// SIG // cGluZ0NBLmNybDATBgNVHSUEDDAKBggrBgEFBQcDCDAO
// SIG // BgNVHQ8BAf8EBAMCAQYwJAYDVR0RBB0wG6QZMBcxFTAT
// SIG // BgNVBAMTDFRTQTIwNDgtMS01MzANBgkqhkiG9w0BAQUF
// SIG // AAOBgQBKa/nqWMJEHDGJeZkrlr+CrAHWHEzNsIpYbt8I
// SIG // KaNeyMqTE+cEUg3vRycvADiw5MmTTprUImIV9z83IU9w
// SIG // MYDxiziHs+jolwD+z1WWTiTSqSdOeq63YUHzKs7nydle
// SIG // 3bsrhT61nbXZ4Vf/vrTFfvXPDJ7wl/4r0ztSGxs4J/c/
// SIG // SjCCBX0wggRloAMCAQICEEvUF5GsvZvjE+5oBwvzUUYw
// SIG // DQYJKoZIhvcNAQEFBQAwgbQxCzAJBgNVBAYTAlVTMRcw
// SIG // FQYDVQQKEw5WZXJpU2lnbiwgSW5jLjEfMB0GA1UECxMW
// SIG // VmVyaVNpZ24gVHJ1c3QgTmV0d29yazE7MDkGA1UECxMy
// SIG // VGVybXMgb2YgdXNlIGF0IGh0dHBzOi8vd3d3LnZlcmlz
// SIG // aWduLmNvbS9ycGEgKGMpMTAxLjAsBgNVBAMTJVZlcmlT
// SIG // aWduIENsYXNzIDMgQ29kZSBTaWduaW5nIDIwMTAgQ0Ew
// SIG // HhcNMTEwOTI2MDAwMDAwWhcNMTQwOTI1MjM1OTU5WjCB
// SIG // wDELMAkGA1UEBhMCR0IxEjAQBgNVBAgTCUhhbXBzaGly
// SIG // ZTETMBEGA1UEBxMKUG9ydHNtb3V0aDEjMCEGA1UEChQa
// SIG // SUJNIFVuaXRlZCBLaW5nZG9tIExpbWl0ZWQxPjA8BgNV
// SIG // BAsTNURpZ2l0YWwgSUQgQ2xhc3MgMyAtIE1pY3Jvc29m
// SIG // dCBTb2Z0d2FyZSBWYWxpZGF0aW9uIHYyMSMwIQYDVQQD
// SIG // FBpJQk0gVW5pdGVkIEtpbmdkb20gTGltaXRlZDCCASIw
// SIG // DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAPn52y0d
// SIG // rFPYnn/TaDS4fatKQe5pybIyWN7gVSpBrbbL/LhtzPkn
// SIG // djHcnhLq4+EephfYvU54dIr1XaDpwOE+BPs2Tf8/clnF
// SIG // jWTZEGRrk66x0clZhujNAB7RTlAiE82H6Y0kSTJFiFtU
// SIG // EI7SJfnmVUM/qaicQ/ruxKthv97bgd6p3E59XKRKk/k6
// SIG // /70kJAcqElwL2QvI2TDDCQX3n5UDBzOVSrutkdhBRMhK
// SIG // Wj7QOjCxdSaFbkEiQHD0lmHVLgicEp4tfZHAEsboau+j
// SIG // CL16g6smpQ7M8X6LnmlXpj0hoVa31S7X2QgD/VHkWk+u
// SIG // RI2G5d3xlw0cMJHULXKu9uglZvcCAwEAAaOCAXswggF3
// SIG // MAkGA1UdEwQCMAAwDgYDVR0PAQH/BAQDAgeAMEAGA1Ud
// SIG // HwQ5MDcwNaAzoDGGL2h0dHA6Ly9jc2MzLTIwMTAtY3Js
// SIG // LnZlcmlzaWduLmNvbS9DU0MzLTIwMTAuY3JsMEQGA1Ud
// SIG // IAQ9MDswOQYLYIZIAYb4RQEHFwMwKjAoBggrBgEFBQcC
// SIG // ARYcaHR0cHM6Ly93d3cudmVyaXNpZ24uY29tL3JwYTAT
// SIG // BgNVHSUEDDAKBggrBgEFBQcDAzBxBggrBgEFBQcBAQRl
// SIG // MGMwJAYIKwYBBQUHMAGGGGh0dHA6Ly9vY3NwLnZlcmlz
// SIG // aWduLmNvbTA7BggrBgEFBQcwAoYvaHR0cDovL2NzYzMt
// SIG // MjAxMC1haWEudmVyaXNpZ24uY29tL0NTQzMtMjAxMC5j
// SIG // ZXIwHwYDVR0jBBgwFoAUz5mp6nsm9EvJjo/X8AUm7+PS
// SIG // p50wEQYJYIZIAYb4QgEBBAQDAgQQMBYGCisGAQQBgjcC
// SIG // ARsECDAGAQEAAQH/MA0GCSqGSIb3DQEBBQUAA4IBAQBC
// SIG // yGPa0kikbe3PLcsBUJLCwHt3/EQXGbfMSUC+aGcRkWs8
// SIG // 44NFMAMpCb3n5Eq9MPLKBGg/aQZOceeUok09uYz9QRIB
// SIG // dP1XBkU/x4625KJSXkK6dsGALrc3crORgHprKY1VI9Gq
// SIG // HwzYF/eyIRM0KmKEsmFdBNgn06gA1ueVWqNIb24zQEQI
// SIG // 0e/H8+LhAkdIkmWFE3+BLskBzEMPraK9WME5GWsn5LKj
// SIG // a/o1HJBHZ4AfbaSxlUj0vSf/gPCL8n07FvY09NqPEZFk
// SIG // nphYiZKb7BGbHmFWer9IKMRr5/sCnSRQ4K1sJI9whcEf
// SIG // /xjXshO+ogqbDOrmw7DhlzwFSy8tYH2VMIIGCjCCBPKg
// SIG // AwIBAgIQUgDlqiVW/BqG7ZbJ1EszxzANBgkqhkiG9w0B
// SIG // AQUFADCByjELMAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZl
// SIG // cmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2lnbiBU
// SIG // cnVzdCBOZXR3b3JrMTowOAYDVQQLEzEoYykgMjAwNiBW
// SIG // ZXJpU2lnbiwgSW5jLiAtIEZvciBhdXRob3JpemVkIHVz
// SIG // ZSBvbmx5MUUwQwYDVQQDEzxWZXJpU2lnbiBDbGFzcyAz
// SIG // IFB1YmxpYyBQcmltYXJ5IENlcnRpZmljYXRpb24gQXV0
// SIG // aG9yaXR5IC0gRzUwHhcNMTAwMjA4MDAwMDAwWhcNMjAw
// SIG // MjA3MjM1OTU5WjCBtDELMAkGA1UEBhMCVVMxFzAVBgNV
// SIG // BAoTDlZlcmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJp
// SIG // U2lnbiBUcnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJt
// SIG // cyBvZiB1c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24u
// SIG // Y29tL3JwYSAoYykxMDEuMCwGA1UEAxMlVmVyaVNpZ24g
// SIG // Q2xhc3MgMyBDb2RlIFNpZ25pbmcgMjAxMCBDQTCCASIw
// SIG // DQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAPUjS16l
// SIG // 14q7MunUV/fv5Mcmfq0ZmP6onX2U9jZrENd1gTB/BGh/
// SIG // yyt1Hs0dCIzfaZSnN6Oce4DgmeHuN01fzjsU7obU0PUn
// SIG // NbwlCzinjGOdF6MIpauw+81qYoJM1SHaG9nx44Q7iipP
// SIG // hVuQAU/Jp3YQfycDfL6ufn3B3fkFvBtInGnnwKQ8PEEA
// SIG // Pt+W5cXklHHWVQHHACZKQDy1oSapDKdtgI6QJXvPvz8c
// SIG // 6y+W+uWHd8a1VrJ6O1QwUxvfYjT/HtH0WpMoheVMF05+
// SIG // W/2kk5l/383vpHXv7xX2R+f4GXLYLjQaprSnTH69u08M
// SIG // PVfxMNamNo7WgHbXGS6lzX40LYkCAwEAAaOCAf4wggH6
// SIG // MBIGA1UdEwEB/wQIMAYBAf8CAQAwcAYDVR0gBGkwZzBl
// SIG // BgtghkgBhvhFAQcXAzBWMCgGCCsGAQUFBwIBFhxodHRw
// SIG // czovL3d3dy52ZXJpc2lnbi5jb20vY3BzMCoGCCsGAQUF
// SIG // BwICMB4aHGh0dHBzOi8vd3d3LnZlcmlzaWduLmNvbS9y
// SIG // cGEwDgYDVR0PAQH/BAQDAgEGMG0GCCsGAQUFBwEMBGEw
// SIG // X6FdoFswWTBXMFUWCWltYWdlL2dpZjAhMB8wBwYFKw4D
// SIG // AhoEFI/l0xqGrI2Oa8PPgGrUSBgsexkuMCUWI2h0dHA6
// SIG // Ly9sb2dvLnZlcmlzaWduLmNvbS92c2xvZ28uZ2lmMDQG
// SIG // A1UdHwQtMCswKaAnoCWGI2h0dHA6Ly9jcmwudmVyaXNp
// SIG // Z24uY29tL3BjYTMtZzUuY3JsMDQGCCsGAQUFBwEBBCgw
// SIG // JjAkBggrBgEFBQcwAYYYaHR0cDovL29jc3AudmVyaXNp
// SIG // Z24uY29tMB0GA1UdJQQWMBQGCCsGAQUFBwMCBggrBgEF
// SIG // BQcDAzAoBgNVHREEITAfpB0wGzEZMBcGA1UEAxMQVmVy
// SIG // aVNpZ25NUEtJLTItODAdBgNVHQ4EFgQUz5mp6nsm9EvJ
// SIG // jo/X8AUm7+PSp50wHwYDVR0jBBgwFoAUf9Nlp8Ld7Lvw
// SIG // MAnzQzn6Aq8zMTMwDQYJKoZIhvcNAQEFBQADggEBAFYi
// SIG // 5jSkxGHLSLkBrVaoZA/ZjJHEu8wM5a16oCJ/30c4Si1s
// SIG // 0X9xGnzscKmx8E/kDwxT+hVe/nSYSSSFgSYckRRHsExj
// SIG // jLuhNNTGRegNhSZzA9CpjGRt3HGS5kUFYBVZUTn8WBRr
// SIG // /tSk7XlrCAxBcuc3IgYJviPpP0SaHulhncyxkFz8PdKN
// SIG // rEI9ZTbUtD1AKI+bEM8jJsxLIMuQH12MTDTKPNjlN9Zv
// SIG // pSC9NOsm2a4N58Wa96G0IZEzb4boWLslfHQOWP51G2M/
// SIG // zjF8m48blp7FU3aEW5ytkfqs7ZO6XcghU8KCU2OvEg1Q
// SIG // hxEbPVRSloosnD2SGgiaBS7Hk6VIkdMxggPmMIID4gIB
// SIG // ATCByTCBtDELMAkGA1UEBhMCVVMxFzAVBgNVBAoTDlZl
// SIG // cmlTaWduLCBJbmMuMR8wHQYDVQQLExZWZXJpU2lnbiBU
// SIG // cnVzdCBOZXR3b3JrMTswOQYDVQQLEzJUZXJtcyBvZiB1
// SIG // c2UgYXQgaHR0cHM6Ly93d3cudmVyaXNpZ24uY29tL3Jw
// SIG // YSAoYykxMDEuMCwGA1UEAxMlVmVyaVNpZ24gQ2xhc3Mg
// SIG // MyBDb2RlIFNpZ25pbmcgMjAxMCBDQQIQS9QXkay9m+MT
// SIG // 7mgHC/NRRjAJBgUrDgMCGgUAoHAwEAYKKwYBBAGCNwIB
// SIG // DDECMAAwGQYJKoZIhvcNAQkDMQwGCisGAQQBgjcCAQQw
// SIG // HAYKKwYBBAGCNwIBCzEOMAwGCisGAQQBgjcCARUwIwYJ
// SIG // KoZIhvcNAQkEMRYEFG6yim/7LjPcGYXabUGFmpk8Pufu
// SIG // MA0GCSqGSIb3DQEBAQUABIIBAM0oHmiH44dgjaVJWl8G
// SIG // QVsFwjkEVERPu3bRLQ/mk/ynCMdm1fkFzsaJtSn/ifx7
// SIG // sdHzPGOk74N7Fp60HcewgwGkNOLNMmcSfVs32f57Pfcv
// SIG // EyUihDbmYtxjo9++ZtqEhNSXyaXh3HmF2gekCKI0NXzU
// SIG // 6PKFRaQi6WFcLvOeE3ofdQvcIL7CNO7CZu/RMqTD5RpH
// SIG // c78ogR1I7Lqx9bQDa3Hz3wa7UVQd1B0M92nIA5mFRtSg
// SIG // ShmOjw+3vThqiqRNRAb63cW81IOJAaEk2fVS0TT6mcq4
// SIG // UWBNsyQk4ePEkJQ137w7bEy7IbuSw8y/e6lgfFU3ANRh
// SIG // eqetmikogbxFhsOhggF/MIIBewYJKoZIhvcNAQkGMYIB
// SIG // bDCCAWgCAQEwZzBTMQswCQYDVQQGEwJVUzEXMBUGA1UE
// SIG // ChMOVmVyaVNpZ24sIEluYy4xKzApBgNVBAMTIlZlcmlT
// SIG // aWduIFRpbWUgU3RhbXBpbmcgU2VydmljZXMgQ0ECEHmi
// SIG // pYX50RVCE9m4Pva2je0wCQYFKw4DAhoFAKBdMBgGCSqG
// SIG // SIb3DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcNAQkF
// SIG // MQ8XDTEyMDgxMDA4NTYwMFowIwYJKoZIhvcNAQkEMRYE
// SIG // FN0LBwROy+cFmCy9KTpm5qMZtQmHMA0GCSqGSIb3DQEB
// SIG // AQUABIGAbrEOAjcc2DN7JgLY0OlgKsgJfYHmjNhgpP4K
// SIG // gyQCkxOVAXynudD2PiEswa3pXicoTgp1o9amc7D7jSMH
// SIG // QK180Qs/jgbmG4X8xlT+bP5ezD+i2nqlTm3Gkw3aatid
// SIG // 6Ih2XGxKYZ9FNd5aNTLnWZABnKc0D7dTWWcOTZlGKIAvYpc=
// SIG // End signature block
